Subject: Re: [issue32] Packet Redirect

From: "Khosravi, Hormuzd M" <[email-masked]>
Date: Sat, 25 Jun 2005 22:40:10 -0700

Joel,

-----Original Message-----
From: Forwarding and Control Element Separation 

I am missign something in your suggestion.

Why would we want to treat redirects as events?
We should treat them as redirects.
[HK] This seems like a terminology issue...but I think Weiming means the
same thing.

I am very confused about "How a path should be defined in a Packet
Redirect 
Message", since as far as I can tell, a redirect does not need a path.
It 
needs a collection of meta-information, which we need to define.  At the

moment, that has to include at least the LFB ID that the redirect is
from / 
to.  I suppose by declaring a multiplicity of such LFBs, that can be all
of 
the information.  (I usually think in terms of at least a logical port
ID 
the packet came from / is intended for.)
[HK] I agree, we don't need a path for Packet Redirect message,

Regards
Hormuzd

At 10:50 PM 6/25/2005, Weiming Wang wrote:
>Jamal, Joel, and Hormzd,
>
>I suppose we could close this issue by reaching the following points:
>
>1. The redirect LFBs called RedirectSource  LFB and RedirectSink LFB
are 
>moved to the model, but the protocol retains the Redirect Message. The 
>reason to keep the specific message is we need to specifically
recognize 
>redirected data between CE-FE transportation to avoid DoS attacks.
>
>2. The redirected data in the LFBs can be treated as a kind of SPECIAL 
>events in that:
>      a. The event is triggered every time a new redirected packet
arrives 
> at the LFBs.
>      b. The event is transported by the Redirect  Message only, while
the 
> Redirect Message will the same message format as a general event 
> notification message (except the message type in the header).
>
>By doing in this way, we can also solve the issue53 (How a path should
be 
>defined  in Packet Redirect Message) then.
>
>Unfortunately,  I think of another question that is related to the
Packet 
>Redirect Message as well as to Event Notification Message. The question

>is, the Event Notification Message allows event generated by CE and
sent 
>to FE. In the case, in the message format, the LFB IDs refer to the
LFBs 
>that will receive the event notification, but the question is, what the

>Path in the message refers to then ??  The same also happens to Packet 
>Redirect Message from CE to FE.
>
>Thanks,
>Weiming
>